### Method

# Gtk CellRenderer activate

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_cell_renderer_activate (
      GtkCellRenderer* cell,
      GdkEvent* event,
      GtkWidget* widget,
      const char* path,
      const GdkRectangle* background_area,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags
    )

#### Description [src]

Passes an activate event to the cell renderer for possible processing. Some cell renderers may use events; for example, `GtkCellRendererToggle` toggles when it gets a mouse click.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`event`

  Type: `GdkEvent`

  A `GdkEvent`.

  The data is owned by the caller of the method.

`widget`

  Type: `GtkWidget`

  Widget that received the event.

  The data is owned by the caller of the method.

`path`

  Type: `const char*`

  Widget-dependent string representation of the event location; e.g. for `GtkTreeView`, a string representation of `GtkTreePath`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`background_area`

  Type: `GdkRectangle`

  Background area as passed to gtk_cell_renderer_render().

  The data is owned by the caller of the method.

`cell_area`

  Type: `GdkRectangle`

  Cell area as passed to gtk_cell_renderer_render().

  The data is owned by the caller of the method.

`flags`

  Type: `GtkCellRendererState`

  Render flags.

#### Return value

Type: `gboolean`

`TRUE` if the event was consumed/handled.